<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.tools (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.tools (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/service/resources/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/apache/nutch/tools/arc/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/tools/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.nutch.tools</h1>
<div class="docSummary">
<div class="block">Miscellaneous tools.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormat.html" title="interface in org.apache.nutch.tools">CommonCrawlFormat</a></td>
<td class="colLast">
<div class="block">Interface for all CommonCrawl formatter.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></td>
<td class="colLast">
<div class="block">Abstract class that implements { @see org.apache.nutch.tools.CommonCrawlFormat } interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/Benchmark.html" title="class in org.apache.nutch.tools">Benchmark</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/Benchmark.BenchmarkResults.html" title="class in org.apache.nutch.tools">Benchmark.BenchmarkResults</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/CommonCrawlConfig.html" title="class in org.apache.nutch.tools">CommonCrawlConfig</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/CommonCrawlDataDumper.html" title="class in org.apache.nutch.tools">CommonCrawlDataDumper</a></td>
<td class="colLast">
<div class="block">
 The Common Crawl Data Dumper tool enables one to reverse generate the raw
 content from Nutch segment data directories into a common crawling data
 format, consumed by many applications.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatFactory.html" title="class in org.apache.nutch.tools">CommonCrawlFormatFactory</a></td>
<td class="colLast">
<div class="block">Factory class that creates new <a href="../../../../org/apache/nutch/tools/CommonCrawlFormat.html" title="interface in org.apache.nutch.tools"><code>CommonCrawlFormat</code></a> objects (a.k.a.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJackson.html" title="class in org.apache.nutch.tools">CommonCrawlFormatJackson</a></td>
<td class="colLast">
<div class="block">This class provides methods to map crawled data on JSON using Jackson Streaming APIs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html" title="class in org.apache.nutch.tools">CommonCrawlFormatJettinson</a></td>
<td class="colLast">
<div class="block">This class provides methods to map crawled data on JSON using Jettinson APIs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatSimple.html" title="class in org.apache.nutch.tools">CommonCrawlFormatSimple</a></td>
<td class="colLast">
<div class="block">This class provides methods to map crawled data on JSON using a StringBuilder object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatWARC.html" title="class in org.apache.nutch.tools">CommonCrawlFormatWARC</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/DmozParser.html" title="class in org.apache.nutch.tools">DmozParser</a></td>
<td class="colLast">
<div class="block">Utility that converts <a href="http://www.dmoztools.net/">DMOZ</a> 
 RDF into a flat file of URLs to be injected.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/FileDumper.html" title="class in org.apache.nutch.tools">FileDumper</a></td>
<td class="colLast">
<div class="block">The file dumper tool enables one to reverse generate the raw content from
 Nutch segment data directories.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/FreeGenerator.html" title="class in org.apache.nutch.tools">FreeGenerator</a></td>
<td class="colLast">
<div class="block">This tool generates fetchlists (segments to be fetched) from plain text files
 containing one URL per line.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/FreeGenerator.FG.html" title="class in org.apache.nutch.tools">FreeGenerator.FG</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/FreeGenerator.FG.FGMapper.html" title="class in org.apache.nutch.tools">FreeGenerator.FG.FGMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/FreeGenerator.FG.FGReducer.html" title="class in org.apache.nutch.tools">FreeGenerator.FG.FGReducer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/ResolveUrls.html" title="class in org.apache.nutch.tools">ResolveUrls</a></td>
<td class="colLast">
<div class="block">A simple tool that will spin up multiple threads to resolve urls to ip
 addresses.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/ShowProperties.html" title="class in org.apache.nutch.tools">ShowProperties</a></td>
<td class="colLast">
<div class="block">Tool to list properties and their values set by the current Nutch
 configuration</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/tools/WARCUtils.html" title="class in org.apache.nutch.tools">WARCUtils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.nutch.tools Description">Package org.apache.nutch.tools Description</h2>
<div class="block">Miscellaneous tools.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/service/resources/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/apache/nutch/tools/arc/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/tools/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
